---
date: 2020-10-30
id: 157844bd-887b-4871-8e2c-935adc6cc4a1
title: ES6
---

# Introduction

What's new in ES6[^1]

# Control flows

-   [for of](20201030093304-javascript_for_of)

# Parameters

-   [JavaScript Rest Parameters](20200922162500-rest_parameters)
-   [JavaScript Named parameters](20200922162127-named_parameters)

# Destructuring

-   [Destructuring Arrays](20201103111509-destructuring_arrays)
-   [Destructuring Iterables](20201103112001-destructuring_iterables)
-   [Destructuring Objects](20201103111746-destructuring_objects)
-   [Destructuring Default
    Values](20201103113124-destructuring_default_values)

# Errors

-   [Custom Error Types](20201111093651-javascript_custom_error_types)

# Strings

## Methods

-   [endsWith](20201112095428-javascript_string_endswith_method)

## Literals

-   [String Literals](20201112100548-javascript_string_literals)
-   [Tagged Template
    Literals](20201112100859-javascript_tagged_template_literals)

## Escapes

-   [Unicode Code Point
    Escapes](20201112101432-unicode_code_point_escapes)

## Iteration

-   [String Iteration](20201112101851-javascript_string_iteration)

## Conversion

-   [String To Array
    Conversion](20201112102537-javascript_string_to_array_conversion)

# Operators

-   [In Operator](20201113090337-javascript_in_operator)
-   [Instanceof Operator](20201113094246-javascript_instanceof_operator)

# Objects

## Keywords

-   [New Keyword](20201113093910-javascript_new_keyword)

## Functions

-   [Object.is](20201113095300-object_is)
-   [Object.assign](20201113095244-object_assign)
-   [Object.keys](20201113095226-object_keys)

# Arrays

## Prototype methods

-   [Array.prototype.fill()](20201113104217-array_prototype_fill)
-   [Array.prototype.copyWithin()](20201113104240-array_prototype_copywithin)

### Prototype Search Methods

-   [Array.prototype.find()](20201113104352-array_prototype_find)
-   [Array.prototype.findIndex()](20201113104332-array_prototype_findindex)

### Prototype Iteration Methods

-   [Array.prototype.keys()](20201113104454-array_prototype_keys)
-   [Array.prototype.entries()](20201113104423-array_prototype_entries)

## Array functions

-   [Array.of()](20201113105847-array_of)
-   [Array.from()](20201113105832-array_from)

# Data Structures

-   [Maps](20201012093745-javascript_maps)

# Symbols

-   [Symbols](20201113092454-javascript_symbols)

# Numbers

## Notations

-   [Binary Notation](20201116164748-binary_notation)
-   [Octal Notation](20201116164828-octal_notation)

# Footnotes

[^1]: <http://es6-features.org/>
